Bug 1222 - Console output for ShellTarget materials is erroneous
Summary: Console output for ShellTarget materials is erroneous
Status: RESOLVED FIXED
Alias: None
Product: DIRSIG4
Classification: Unclassified
Component: General/Performance (show other bugs)
Version: 4.7.1-release
Hardware: Other Other
: P5 enhancement
Assignee: Scott D. Brown
URL:
Depends on:
Blocks:
 
Reported: 2016-05-27 11:20 EDT by Michael Gartley
Modified: 2019-09-09 11:59 EDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gartley 2016-05-27 11:20:29 EDT
I am assuming DIRSIG is correctly parsing and using the .fit and .ems files for th ShellTarget optical property, however the console output seems to always show 'unknown' for filenames and '0' for number of BRDF fit entries.

example below:

Material: Red car paint (ID/Label = 100, index = 1)
Surface Optical Properties:
    Shell Target BRDF:
        Fit data source         = unknown
        Reflectance data source = unknown
        BRDF fit entries        = 0
        Interpolation method    = 1

this is also easy to see in the existing Desert Highway scene for the car
ShellTarget materials. same issue in the console output
Comment 1 Casey Demars 2019-09-06 13:57:26 EDT
Was this solved?  We are currently running into this same exact problem (Release: 4.7.5 (r18260))
Comment 2 Casey Demars 2019-09-06 14:22:08 EDT
Running the Brdf1 Demo this shows up:

Material: Gold, slightly dull (ID/Label = 610, index = 8)
Surface Optical Properties:
    Shell Target BRDF:
        Fit data source         = unknown
        Reflectance data source = unknown
        BRDF fit entries        = 0
        Interpolation method    = 1
Null Temperature Solver
Simple Radiometry Solver:
    Quality = LOW
    Pre-computing simplified optical property model ... done.
Comment 3 Scott D. Brown 2019-09-09 11:59:58 EDT
The problem here was that the summary of the material was being printed before the I/O handlers were called to load up the optical properties. I fixed that and tried to clean up the messages a bit. This is what you would get for material label #610 now:

Material: Gold, slightly dull (ID/Label = 610, index = 8)
Surface Optical Properties:
    Shell Target BRDF:
        Fit data source         = /Users/scottbrown/svn/base/trunk/demos/Brdf1/materials/brdf/aud.fit
        Reflectance data source = /Users/scottbrown/svn/base/trunk/demos/Brdf1/materials/emissivity/au.ems
        BRDF fit entries        = 10
        Interpolation method    = 0
Radiometry solver(s):
    Simple
    Thermal Emission
Temperature solver(s):
Null Temperature Solver


That change is checked in and will be in all the future releases.